package com.chen.StrategyPattern.po;

import com.chen.StrategyPattern.po.Context;
import com.chen.StrategyPattern.po.OperationA;
import com.chen.StrategyPattern.po.OperationB;

/**
 * @author lx
 * @date 2021/10/13 11:32
 **/
public class StrategyMain {

    public void main() {
        int a = 5;
        int b = 11;

        // 策略A
        Context c = new Context(new OperationA());
        System.err.println(c.exec(a, b));

        // 策略B
        c = new Context(new OperationB());
        System.err.println(c.exec(a, b));
    }

}
